View Issue Details

IDProjectCategoryView StatusLast Update
0000836luatexluatex bugpublic2015-10-06 20:06
ReportererouxAssigned Toluigi scarso 
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.74.0 
Target VersionFixed in Version0.80.1 
Summary0000836: Error handling in bad format file could be improved
DescriptionThe following patch improves error handling when there is a bug in the format.
TagsNo tags attached.

Activities

eroux

2013-06-14 15:08

reporter  

texfileio.w.diff (803 bytes)
Index: tex/texfileio.w
===================================================================
--- tex/texfileio.w	(révision 4639)
+++ tex/texfileio.w	(copie de travail)
@@ -1114,8 +1114,14 @@
     if (nitems == 0)
         return;
     if (gzread(gz_fmtfile, (void *) p, (unsigned) (item_size * nitems)) <= 0) {
-        fprintf(stderr, "Could not undump %d %d-byte item(s): %s.\n",
+        if (gzeof(gz_fmtfile)) {
+          fprintf(stderr, "Could not undump %d %d-byte item(s): End of file reached.\n",
+                nitems, item_size);
+        }
+        else {
+          fprintf(stderr, "Could not undump %d %d-byte item(s): %s.\n",
                 nitems, item_size, gzerror(gz_fmtfile, &err));
+        }
         uexit(1);
     }
 #if !defined (WORDS_BIGENDIAN) && !defined (NO_DUMP_SHARE)
texfileio.w.diff (803 bytes)

Hans Hagen

2015-10-06 20:06

manager   ~0001419

we now have a verison number in the format

Issue History

Date Modified Username Field Change
2013-06-14 15:08 eroux New Issue
2013-06-14 15:08 eroux File Added: texfileio.w.diff
2015-03-21 15:19 Hans Hagen Assigned To => luigi scarso
2015-03-21 15:19 Hans Hagen Status new => assigned
2015-10-06 20:06 Hans Hagen Note Added: 0001419
2015-10-06 20:06 Hans Hagen Status assigned => closed
2015-10-06 20:06 Hans Hagen Resolution open => fixed
2015-10-06 20:06 Hans Hagen Fixed in Version => 0.80.1